Bug 849630 - client_t implementation
client_t implementation
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kaleb KEITHLEY
: FutureFeature
Depends On:
Blocks: 854189
  Show dependency treegraph
 
Reported: 2012-08-20 07:57 EDT by Kaleb KEITHLEY
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 11:31:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2012-08-20 07:57:16 EDT
Description of problem:

client_t implementation

Version-Release number of selected component (if applicable):

N/A

How reproducible:

N/A

Steps to Reproduce:
1. N/A
 
Actual results:

N/A

Expected results:

N/A

Additional info:

client_t changes the (old, misnamed) server_conn structure to a "full" gluster type, including a context dict member for holding additional data for the connected client.

client_t is the prerequisite for implementing multi-tenancy, among other things.

The feature page for client_t is at http://www.gluster.org/community/documentation/index.php/Planning34/client_t

In addition to adding client_t, the change moves the lock-table functionality from xlators/protocol/server/... to libglusterfs/...

Note that context dumps are not implemented yet. They will be implemented in a later patch.
Comment 1 Vijay Bellur 2013-04-01 08:01:06 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t strawman implementation refresh) posted (#13) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 2 Anand Avati 2013-05-08 10:59:46 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t strawman implementation refresh) posted (#14) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 3 Anand Avati 2013-05-22 08:20:12 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t strawman implementation refresh) posted (#16) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 4 Anand Avati 2013-05-22 11:26:55 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t strawman implementation refresh) posted (#17) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 5 Anand Avati 2013-06-06 10:15:37 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#18) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 6 Anand Avati 2013-06-06 10:38:09 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#19) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 7 Anand Avati 2013-06-18 09:50:06 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#20) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 8 Anand Avati 2013-06-26 13:29:15 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#21) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 9 Anand Avati 2013-07-08 12:50:31 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#22) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 10 Anand Avati 2013-07-08 12:57:52 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#23) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 11 Anand Avati 2013-07-15 10:08:58 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#24) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 12 Anand Avati 2013-07-23 00:30:56 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#25) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 13 Anand Avati 2013-07-23 02:16:53 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#26) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 14 Anand Avati 2013-07-26 00:12:21 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#27) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 15 Anand Avati 2013-07-29 10:43:53 EDT
REVIEW: http://review.gluster.org/3957 (libglusterfs/client_t client_t implementation, phase 1) posted (#28) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 16 Anand Avati 2013-07-30 01:23:06 EDT
COMMIT: http://review.gluster.org/3957 committed in master by Anand Avati (avati@redhat.com) 
------
commit 04536e53082cdff5cd10a804502347ee83490c81
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Sep 18 14:07:40 2012 -0400

    libglusterfs/client_t client_t implementation, phase 1
    
    Implementation of client_t
    
    The feature page for client_t is at
    http://www.gluster.org/community/documentation/index.php/Planning34/client_t
    
    In addition to adding libglusterfs/client_t.[ch] it also extracts/moves
    the locktable functionality from xlators/protocol/server to libglusterfs,
    where it is used; thus it may now be shared by other xlators too.
    
    This patch is large as it is. Hooking up the state dump is left to do
    in phase 2 of this patch set.
    
    (N.B. this change/patch-set supercedes previous change 3689, which was
    corrupted during a rebase. That change will be abandoned.)
    
    BUG: 849630
    Change-Id: I1433743190630a6d8119a72b81439c0c4c990340
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/3957
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
Comment 17 Anand Avati 2013-08-13 12:06:48 EDT
REVIEW: http://review.gluster.org/5602 (libglusterfs: client_t phase 2, refactor to remove server_ctx and locks_ctx  out of client_ctx directly and into scratch_ctx as discrete entities) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 18 Anand Avati 2013-08-13 12:17:45 EDT
REVIEW: http://review.gluster.org/5602 (libglusterfs: client_t phase 2, refactor) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 19 Anand Avati 2013-08-19 10:59:43 EDT
REVIEW: http://review.gluster.org/5602 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 20 Anand Avati 2013-08-21 10:33:31 EDT
REVIEW: http://review.gluster.org/5602 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 21 Anand Avati 2013-08-21 14:13:22 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 22 Anand Avati 2013-08-21 14:54:00 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 23 Anand Avati 2013-08-22 10:51:15 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 24 Anand Avati 2013-08-22 11:46:27 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 25 Anand Avati 2013-08-22 11:59:02 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 26 Anand Avati 2013-08-22 12:09:36 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 27 Anand Avati 2013-08-22 12:19:28 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 28 Anand Avati 2013-08-22 14:10:16 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#8) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 29 Anand Avati 2013-08-22 14:47:52 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#9) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 30 Anand Avati 2013-08-23 06:55:36 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#10) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 31 Anand Avati 2013-08-27 08:09:45 EDT
REVIEW: http://review.gluster.org/5678 (libglusterfs: client_t phase 2, refactor server_ctx and locks_ctx out) posted (#11) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 32 Anand Avati 2013-08-29 16:10:11 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#12) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 33 Anand Avati 2013-09-03 12:14:34 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#13) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 34 Anand Avati 2013-09-03 12:25:09 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#14) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 35 Anand Avati 2013-09-09 06:37:56 EDT
REVIEW: http://review.gluster.org/5852 (libglusterfs: client_t{.c,.h} includes should be pedantic) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 36 Anand Avati 2013-09-09 10:41:49 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#15) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 37 Anand Avati 2013-09-16 13:45:03 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#16) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 38 Anand Avati 2013-09-20 08:20:31 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#17) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 39 Anand Avati 2013-09-20 12:05:38 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#18) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 40 Anand Avati 2013-09-23 09:01:59 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#19) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 41 Anand Avati 2013-09-26 14:17:00 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#20) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 42 Anand Avati 2013-09-30 17:37:57 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#21) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 43 Anand Avati 2013-10-02 10:48:00 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#22) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 44 Anand Avati 2013-10-03 12:09:51 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#23) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 45 Anand Avati 2013-10-03 14:50:10 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#24) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 46 Anand Avati 2013-10-10 08:49:20 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#25) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 47 Anand Avati 2013-10-15 14:46:25 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#26) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 48 Anand Avati 2013-10-22 11:02:52 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#27) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 49 Anand Avati 2013-10-22 11:31:59 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#28) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 50 Anand Avati 2013-10-22 14:35:45 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#29) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 51 Anand Avati 2013-10-28 11:09:31 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#30) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 52 Anand Avati 2013-10-29 15:29:41 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#31) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 53 Anand Avati 2013-10-30 10:12:19 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#32) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 54 Anand Avati 2013-10-31 07:39:11 EDT
REVIEW: http://review.gluster.org/5678 (client_t: phase 2, refactor server_ctx and locks_ctx out) posted (#33) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 55 Anand Avati 2013-10-31 12:32:56 EDT
COMMIT: http://review.gluster.org/5678 committed in master by Anand Avati (avati@redhat.com) 
------
commit 3108d4529d57690f58027da61ac5e56a0987ed57
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Wed Aug 21 14:11:38 2013 -0400

    client_t: phase 2, refactor server_ctx and locks_ctx out
    
    remove server_ctx and locks_ctx from client_ctx directly and store as
    into discrete entities in the scratch_ctx
    
    hooking up dump will be in phase 3
    
    BUG: 849630
    Change-Id: I94cea328326db236cdfdf306cb381e4d58f58d4c
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/5678
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 56 Anand Avati 2013-12-27 07:33:33 EST
REVIEW: http://review.gluster.org/6610 (protocol/server: Change log message severity) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 57 Anand Avati 2013-12-27 22:11:52 EST
COMMIT: http://review.gluster.org/6610 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2909ef3ecb5f331630460d17c56da6291c1f254b
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Fri Dec 27 18:00:45 2013 +0530

    protocol/server: Change log message severity
    
    Change-Id: Ia6aaf8a106c26fa7118c86fadb6805d2877bb6ee
    BUG: 849630
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6610
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 58 Anand Avati 2013-12-30 00:47:35 EST
REVIEW: http://review.gluster.org/6615 (protocol/server: Change log message severity) posted (#1) for review on release-3.5 by Vijay Bellur (vbellur@redhat.com)
Comment 59 Anand Avati 2014-01-03 04:18:35 EST
REVIEW: http://review.gluster.org/6638 (locks: various fixes) posted (#1) for review on master by Anand Avati (avati@redhat.com)
Comment 60 Anand Avati 2014-01-03 09:22:58 EST
COMMIT: http://review.gluster.org/6615 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 1350c7193e59617f356aaae203d2170e4f38e78c
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Fri Dec 27 18:00:45 2013 +0530

    protocol/server: Change log message severity
    
    Change-Id: Ia6aaf8a106c26fa7118c86fadb6805d2877bb6ee
    BUG: 849630
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6610
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-on: http://review.gluster.org/6615
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
Comment 61 Anand Avati 2014-01-11 18:13:29 EST
REVIEW: http://review.gluster.org/6638 (locks: various fixes) posted (#2) for review on master by Anand Avati (avati@redhat.com)
Comment 62 Anand Avati 2014-01-13 01:59:01 EST
REVIEW: http://review.gluster.org/6638 (locks: various fixes) posted (#3) for review on master by Anand Avati (avati@redhat.com)
Comment 63 Anand Avati 2014-01-13 02:38:58 EST
REVIEW: http://review.gluster.org/6638 (locks: various fixes) posted (#4) for review on master by Anand Avati (avati@redhat.com)
Comment 64 Anand Avati 2014-01-13 05:09:22 EST
REVIEW: http://review.gluster.org/6638 (locks: various fixes) posted (#5) for review on master by Anand Avati (avati@redhat.com)
Comment 65 Anand Avati 2014-01-14 00:03:14 EST
REVIEW: http://review.gluster.org/6695 (locks: various fixes) posted (#1) for review on release-3.5 by Anand Avati (avati@redhat.com)
Comment 66 Anand Avati 2014-01-14 00:44:28 EST
COMMIT: http://review.gluster.org/6638 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit aa3b01533efcd85fc1e654ac14a03ab8e1d5bbab
Author: Anand Avati <avati@redhat.com>
Date:   Tue Dec 3 16:30:45 2013 -0800

    locks: various fixes
    
    - implement ref/unref of entry locks (and fix bad pointer deref crashes)
    - code cleanup and deleted various data types
    - fix improper read/write lock conflict detection in entrylk
    - fix indefinite hang of blocked locks on disconnect
    - register locks in client_t synchronously, fix crashes in disconnect path
    
    Change-Id: Id273690c9111b8052139d1847060d1fb5a711924
    BUG: 849630
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/6638
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 67 Anand Avati 2014-01-14 07:38:52 EST
COMMIT: http://review.gluster.org/6695 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 8ee3846e75327bb81001607d9023fce4910fe405
Author: Anand Avati <avati@redhat.com>
Date:   Tue Dec 3 16:30:45 2013 -0800

    locks: various fixes
    
    - implement ref/unref of entry locks (and fix bad pointer deref crashes)
    - code cleanup and deleted various data types
    - fix improper read/write lock conflict detection in entrylk
    - fix indefinite hang of blocked locks on disconnect
    - register locks in client_t synchronously, fix crashes in disconnect path
    
    Change-Id: Id273690c9111b8052139d1847060d1fb5a711924
    BUG: 849630
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/6695
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 68 Anand Avati 2014-01-19 22:51:35 EST
REVIEW: http://review.gluster.org/6730 (locks: set @lock->frame = NULL when lock granted) posted (#1) for review on master by Anand Avati (avati@redhat.com)
Comment 69 Anand Avati 2014-01-20 00:37:05 EST
REVIEW: http://review.gluster.org/6730 (locks: set @lock->frame = NULL when lock is granted) posted (#2) for review on master by Anand Avati (avati@redhat.com)
Comment 70 Anand Avati 2014-01-21 00:39:01 EST
REVIEW: http://review.gluster.org/6730 (locks: set @lock->frame = NULL when lock is granted) posted (#3) for review on master by Anand Avati (avati@redhat.com)
Comment 71 Anand Avati 2014-01-22 20:30:38 EST
COMMIT: http://review.gluster.org/6730 committed in master by Anand Avati (avati@redhat.com) 
------
commit 6c6c7eba87190bfe3c721faaa190949ff611405b
Author: Anand Avati <avati@redhat.com>
Date:   Sun Jan 19 19:44:06 2014 -0800

    locks: set @lock->frame = NULL when lock is granted
    
    This way disconnect cleanup code can differentiate which locks
    are granted vs blocked.
    
    Change-Id: I2a835c6865b6c804231d852953ea84eeccef35a3
    BUG: 849630
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/6730
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
Comment 72 Anand Avati 2014-01-22 20:32:16 EST
REVIEW: http://review.gluster.org/6762 (locks: set @lock->frame = NULL when lock is granted) posted (#1) for review on release-3.5 by Anand Avati (avati@redhat.com)
Comment 73 Anand Avati 2014-01-23 02:55:38 EST
COMMIT: http://review.gluster.org/6762 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit cd65bab3a1586e03178e8b683afea26bd324a71b
Author: Anand Avati <avati@redhat.com>
Date:   Sun Jan 19 19:44:06 2014 -0800

    locks: set @lock->frame = NULL when lock is granted
    
    This way disconnect cleanup code can differentiate which locks
    are granted vs blocked.
    
    Change-Id: I2a835c6865b6c804231d852953ea84eeccef35a3
    BUG: 849630
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/6762
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 74 Anand Avati 2014-03-12 03:52:09 EDT
REVIEW: http://review.gluster.org/7224 (locks: fix unconditional op_ret success of entrylk) posted (#1) for review on master by Anand Avati (avati@redhat.com)
Comment 75 Anand Avati 2014-03-12 04:02:05 EDT
REVIEW: http://review.gluster.org/7224 (locks: fix unconditional op_ret success of entrylk) posted (#2) for review on master by Anand Avati (avati@redhat.com)
Comment 76 Anand Avati 2014-03-12 13:58:27 EDT
COMMIT: http://review.gluster.org/7224 committed in master by Anand Avati (avati@redhat.com) 
------
commit 61f071e15572b12d12cf9764cac6456fc2df5ff3
Author: Anand Avati <avati@redhat.com>
Date:   Sat Mar 8 12:50:47 2014 -0800

    locks: fix unconditional op_ret success of entrylk
    
    Bug introduced in recent refactoring. op_ret of entrylk() was always
    getting set to 0 even though second locker wouldn't have gotten a lock.
    This was resulting in multiple contenders to get locks granted at the
    same time.
    
    Change-Id: I99c187a9285fb80cc500b38f468f2ebda7048cab
    Signed-off-by: Anand Avati <avati@redhat.com>
    BUG: 849630
    Reviewed-on: http://review.gluster.org/7224
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 77 Anand Avati 2014-03-12 23:03:33 EDT
REVIEW: http://review.gluster.org/7232 (locks: fix unconditional op_ret success of entrylk) posted (#1) for review on release-3.5 by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 78 Anand Avati 2014-04-04 09:38:26 EDT
COMMIT: http://review.gluster.org/7232 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 18ad6f2dc7b8254ef718de6311f7344b28e99797
Author: Anand Avati <avati@redhat.com>
Date:   Sat Mar 8 12:50:47 2014 -0800

    locks: fix unconditional op_ret success of entrylk
    
    Bug introduced in recent refactoring. op_ret of entrylk() was always
    getting set to 0 even though second locker wouldn't have gotten a lock.
    This was resulting in multiple contenders to get locks granted at the
    same time.
    
    BUG: 849630
    Change-Id: I130d521407afee15de59f270b59687d41982fb29
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/7232
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.